Bug 477685 - libevent-devel multilib conflict
libevent-devel multilib conflict
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libevent (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Reopened
: 516729 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 17:05 EST by Philippe Troin
Modified: 2013-08-01 14:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:34:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
multilib patch agains f19 (3.43 KB, patch)
2012-11-21 15:54 EST, Daniel McGregor
no flags Details | Diff

  None (edit)
Description Philippe Troin 2008-12-22 17:05:53 EST
Description of problem:

yum install libevent-devel.i386 libevent-devel.x86_64

yields:

  file /usr/include/event-config.h conflicts between attempted installs of libevent-devel-1.4.5-1.fc10.i386 and libevent-devel-1.4.5-1.fc10.x86_64

Version-Release number of selected component (if applicable):
libevent-devel-1.4.5-1.fc10
Comment 1 Philippe Troin 2009-06-26 17:07:36 EDT
Still present in F11 with libevent-devel-1.4.5-2.fc11:

Transaction Check Error:
  file /usr/include/event-config.h from install of libevent-devel-1.4.5-2.fc11.i586 conflicts with file from package libevent-devel-1.4.5-2.fc11.x86_64
Comment 2 David Woodhouse 2009-08-11 06:27:34 EDT
*** Bug 516729 has been marked as a duplicate of this bug. ***
Comment 3 Steve Dickson 2009-08-18 16:37:15 EDT
Fixed in libevent-1.4.12-1.fc12
Comment 4 Philippe Troin 2010-02-15 17:06:58 EST
I'm afraid it's not:

Transaction Check Error:
  file /usr/include/event-config.h from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/annotated.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/classes.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/evdns_8h.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/evdns_8h_source.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/event_8h.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/event_8h_source.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/evhttp_8h.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/evhttp_8h_source.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/evrpc_8h.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/evrpc_8h_source.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/files.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/globals.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/globals_defs.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/globals_enum.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/globals_eval.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/globals_func.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/globals_type.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/index.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/structevhttp__request.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/html/structevrpc__status.html from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/latex/doxygen.sty from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/latex/refman.tex from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
  file /usr/share/doc/libevent-devel-1.4.12/sample/Makefile from install of libevent-devel-1.4.12-1.fc12.i686 conflicts with file from package libevent-devel-1.4.12-1.fc12.x86_64
Comment 5 Philippe Troin 2010-06-08 19:39:25 EDT
Still present in F13.
Comment 6 Bug Zapper 2011-06-02 14:19:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 10:04:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Philippe Troin 2012-06-12 19:03:51 EDT
Still present in F17:

# yum install libevent-devel-2.0.18-1.fc17.i686
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package libevent-devel.i686 0:2.0.18-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package               Arch        Version                 Repository      Size
================================================================================
Installing:
 libevent-devel        i686        2.0.18-1.fc17           updates         84 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 84 k
Installed size: 357 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/include/event2/event-config.h from install of libevent-devel-2.0.18-1.fc17.i686 conflicts with file from package libevent-devel-2.0.18-1.fc17.x86_64

Error Summary
-------------

[2]    12306 exit 1     noglob yum install libevent-devel-2.0.18-1.fc17.i686
Comment 9 Daniel McGregor 2012-11-21 15:54:31 EST
Created attachment 649409 [details]
multilib patch agains f19

I made this patch against f19. It successfully installs libevent-devel.x86_64 amd libevent-devel.i686 at the same time. It uses the same technique that openssl-devel uses.
Comment 10 Fedora End Of Life 2013-07-04 02:54:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 14:34:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.